// Define a function to fetch and process the data
const useData = async () => {
  try {
    const response = await fetch(
      'https://gist.githubusercontent.com/OMWERIDOUGLAS/753a79386eae259d8823f6566a2e375e/raw/d8da3d8a318ce8ebc3ee0709f610a11b6020bc64/Activity6_Population-1.csv',
    );
    const text = await response.text();
    const rows = d3.csvParse(text, (d) => {
      d['2020'] = +d['2020'];
      return d;
    });
    return rows;
  } catch (error) {
    console.error('Error loading data:', error);
    return null;
  }
};

// Export the function
export default useData;
